AltME: Databases

Messages

BrianH
Only if the target is a DSN with no other settings specified. Otherwise, use target.
con: [scheme: 'odbc target: "dsn=mydsn"]
BrianH
For instance, this is a common connection I use at work (server name changed):
conn: [scheme: 'odbc target: "driver=SQL Server Native Client 10.0;server=SERVER1;database=db1;Trusted_Connection=Yes;"]

ChristianE
I've just updated the R3 ODBC Extension to work with more SQL types and, with the support of BrianH, fixed and improved the boot code OPEN and COPY actors.
The extension is available over at Github in both source form as well as a DLL compiled for windows, see https://github.com/gurzgri/r3-odbc

GrahamC
dll compiled means use from R2?
Kaj
It's an R3 extension. You could load it in R2, but you'd have to program the interface to the extension yourself

Gregg
Is anyone using Doc's MySql protocol (v4.1 1.3.0) with MySql 5.5.24-cll, protocol v10?
I have a client migrating to a new host. We've been using 1.2.1 against mysql 5.0.95, but 5.5 triggers the client auth error. Moving to Doc's 4.1 version solved that, but a simple test query returns an empty block.
Can't rule out a data migration error yet, as things just moved and getting connected was the frist step. Just curious if someone is known to have this combo working.
Nevermind. I was able to test another query which works, so all is well there. Thanks Doc, once again!
The failing query was a data migration issue, just FYI.
Janko
I just upgraded local ubutu and I made the rebol work with ia32-libs again, now rebol mysql client is givin me auth error
Janko
Gregg: what did you say you did to make it work? what did you move to 4.1 the mysql server or something else?
DocKimbel
Janko: if you're using a newer MySQL version, you need my 4.1 driver.
Janko
aha, I hoped he meant that :) , but I only found 1.2.1 on your website
I am looking at this page http://softinnov.org/rebol/mysql.shtml (google doesn't find me any ohter, I think)
DocKimbel
It's not an official release yet...I wish I had time to finish it...:-/
IIRC, it was missing some minor feature support from the protocol and good new test cases...
Janko
well if it works for what I need it it's ok with me (I just use mysql for user db so it's rather simple). I found mention of it here now http://rebolweek.blogspot.com/2008_12_01_archive.html is this the latest version you have?
DocKimbel
Yes, the link from the blog entry is the right one too.
Janko
thanks! I will try it ... otherwise I will reinstall mysq 5.1
DocKimbel
Ah right (reading the blog article reminded me a few things), the multiple results reading + stored proc needed more tests.

Last message posted 95 weeks ago.